Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class ContentEntity

    java.lang.Object
      com.bea.content.ContentEntity

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  Node, ObjectClass, Property, PropertyChoice, PropertyDefinition

    public class ContentEntity

extends Object
implements Serializable

A ContentEntity is an object that is identified in the content management system by a unique id.

See Also
  Serialized Form

Field Summary
`protected ID` | `id` The ID for this object.

Constructor Summary
`ContentEntity()` Empty constructor.
`ContentEntity(ID id)` Constructor with ID.

Method Summary
`Object` | `clone()`
`ID` | `getId()` An id that uniquely identifies this entity to the repository.
`void` | `setId(ID id)` Sets a unique id for this entity.
`String` | `toString()` Returns the attributes of this entity in a String.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected ID id

  The ID for this object.

Constructor Detail

### ContentEntity

    public ContentEntity()

  Empty constructor.

### ContentEntity

    public ContentEntity(ID id)

  Constructor with ID.

Method Detail

### getId

    public ID getId()

  An id that uniquely identifies this entity to the repository.

### setId

    public void setId(ID id)

  Sets a unique id for this entity.

### toString

    public String toString()

  Returns the attributes of this entity in a String.

  Overrides:
    `toString` in class `Object`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws
    `CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved